# FoundationClasses
TKernel
TColStd

# TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger Class Reference

`#include <TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger.hxx>`

Inheritance diagram for TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger ()
Standard_EXPORT | TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger (const TColStd_DataMapOfIntegerListOfInteger &aMap)
Standard_EXPORT void | Initialize (const TColStd_DataMapOfIntegerListOfInteger &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const TColStd_ListOfInteger & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger::TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger | ( |  | ) |

Standard_EXPORT TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger::TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger | ( | const TColStd_DataMapOfIntegerListOfInteger & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger::Initialize | ( | const TColStd_DataMapOfIntegerListOfInteger & | aMap | ) |

Standard_EXPORT const Standard_Integer& TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger::Key | ( |  | ) | const

void TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

Standard_EXPORT const TColStd_ListOfInteger& TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TColStd_DataMapIteratorOfDataMapOfIntegerListOfInteger.hxx